@import '../../../_mixins.scss';
 .configuration-management {

    .ReactTable .rt-table .rt-thead.-header:first-child{
        padding-left: 0px !important;
    }
     .configuration-status {
         &.configuration-status--Active, &.configuration-status--active {
             width: 20px;
             height: 20px;
             background: green;
             border-radius: 50%;
             margin-left: 2px;
             .monitor{
                 margin-left: 30px
            }
        }
         &.configuration-status--Inactive, &.configuration-status--inactive {
             width: 20px;
             height: 20px;
             background: #afadad;
             border-radius: 50%;
             margin-left: 2px;
             .monitor{
                 margin-left: 30px
            }
        }
    }
     .status {
         padding: 2px 5px 2px 15px;
         border-radius: 3px;
         font-size: 11px;
         position: relative;
         &.status--Active {
             --status-color: green;
             border: 1px solid var(--status-color);
             color: var(--status-color);
             &::after {
                 content: ' ';
                 display: block;
                 position: absolute;
                 top: 5px;
                 left: 4px;
                 min-height: 6px;
                 width: 9px;
                 background: transparent;
                 border-left: 2px solid var(--status-color);
                 border-bottom: 2px solid var(--status-color);
                 transform: rotate(-45deg);
            }
        }
         &.status--Inactive,&.status--Expiring,&.status--Expired{
             --status-color: red;
             border: 1px solid var(--status-color);
             color: var(--status-color);
             &::after {
                 content: ' ';
                 position: absolute;
                 top: 4px;
                 left: 6px;
                 width: 1px;
                 height: 10px;
                 border: 1px solid var(--status-color);
                 transform: rotate(45deg);
            }
             &::before {
                 content: ' ';
                 position: absolute;
                 top: 4px;
                 left: 6px;
                 width: 1px;
                 height: 10px;
                 border: 1px solid var(--status-color);
                 transform: rotate(-45deg);
            }
        }
    }
     .configuration-management__table-top {
         background: white;
         padding: 10px 15px 10px 0;
         display: flex;
         flex-direction: column;
       .configuration-management__table-filters{
            display: flex;
            flex-direction: row;
            align-items: center;
            //justify-content: space-between;
       }
       .configuration-management__table-actions {
             display: flex;
             flex-direction: row;
             align-items: center;
             justify-content: space-between;
        }
         .configuration-management__table-filters {
            display: flex;
            flex-direction: row;
            padding: 9px 0 5px 2px;
        }
         .configuration-management__filter {
             background: var(--primary);
             padding: 3px 3px 3px 10px;
             margin: 2px;
             border-radius: 15px;
             display: inline-block;
             flex-direction: row;
             label {
                 color: white;
            }
             span {
                 min-width: 8px;
                 padding: 5px 15px 5px 5px;
                 position: relative;
                 cursor: pointer;
                 &::before, &::after {
                     display: block;
                     content: ' ';
                     width: 10px;
                     height: 2px;
                     background: white;
                     position: absolute;
                     top: 12px;
                     right: 4px;
                }
                 &::after {
                     transform: rotate(45deg);
                }
                 &::before {
                     transform: rotate(-45deg);
                }
            }
        }
         .configuration-management__table-header-search {
             display: flex;
             justify-content: space-between;
             width: 400px;
             .field-section, .checkbox-holder{
                 width: 100%;
            }
        }
         button {
             margin-left: 10px;
        }
         .btn.square-btn{
             font-size: var(--font-xs);
             padding: 4px 8px;
             height: 27px;
             min-width: 65px;
             margin-bottom: 2px;
             margin: 0;
             img{
                 padding-right: 0px;
            }
             &:hover, &:active, &:focus{
                 img{
                     filter: invert(75%);
                }
            }
        }
         .field-section {
             padding: 0;
             display: flex;
             .field__input input:not([type="radio"]){
                 height: var(--input-height);
            }
             .field__input input[type="file"]{
                 height: 0;
                 margin-left: -24px;
                 border:none;
            }
             div.row {
                 margin: 0;
                 width: 95%;
            }
             .field__label{
                 display: none;
            }
        }
         .checkbox-holder label.checkbox__content{
             padding-left: 9px;
             margin-top: -5px;
        }
    }
     .disable-div{
         pointer-events: none;
         opacity: 0.5;
    }
     .disable-div-info{
         cursor: not-allowed;
        ;
         opacity: 0.5;
    }
     .loader{
         position: absolute;
         left: 50%;
         top: 50%;
         z-index: 999;
    }
     .loading{
         opacity: .5;
    }
    img.info-svg-images {
        display: flex;
        padding: 0;
        width: 20px;
        height: 20px;
        margin-left: 10px;
    }

    .status-icon-rules {
        display: flex;
        padding: 0px;
        //width: 70px;
        margin: -5px 0;
        .device-status{
            margin-right: 0;
       }
        .status-svg-images{
            width: 25px;
            height: 17px;
            z-index: 9;
            padding: 0;
            margin: 0;
       }
       .badge {
        display: inline-block;
        min-width: 10px;
        padding: 2px 4px;
        font-size: 10px;
        font-weight: 900;
        line-height: 1;
        color: #337ab7;
        text-align: center;
        white-space: nowrap;
        vertical-align: top;
        background-color: #fff;
        margin: -4px 0px 0 -13px;
        border-radius: 25px;
        border: 1px solid;
    }
       .grade-out {
           opacity: 0.3;
           margin: 0;
    }
   }
}
 .confirm-modal {
     &.modal .modal-dialog .modal-content .modal-body {
         padding: 40px 25px 75px 25px;
    }
}
 .update-contract {
     .update-contract__body {
         width: 100%;
         .confirm-message{
             display: inline-table;
             color: red;
             padding: 5px 20px;
             img{
                 width: 30px;
                 height: 30px;
                 margin-right: 10px;
                 margin-top: 1px;
            }
             .text{
                 display: flex;
                 p {
                     margin: 0 0 2px;
                }
            }
        }
        .bulk-message{
            display: inline-table;
            color: green;
            padding: 5px 20px;
            img{
                width: 30px;
                height: 30px;
                margin-right: 10px;
                margin-top: 1px;
           }
            .text{
                display: flex;
                p {
                    margin: 0 0 2px;
               }
           }
       }
    }
}
 .user-modal {
     .modal-dialog .modal-content .modal-body {
         padding: 15px 5px;
         .user-modal__body {
             display: flex;
             flex-direction: row;
             flex-wrap: wrap;
        }
    }
}
 .edit-configuration {
     width: 100%;
     .editable-fields{
         display: flex;
         flex-direction: row;
         flex-wrap: wrap;
    }
     .field-section{
         padding: 10px 5px 0px 0px;
         display: flex;
         flex-direction: column;
         flex-basis: 50%;
    }
     .configuration-details-modal__body {
         display: flex;
         flex-direction: row;
         flex-wrap: wrap;
         .configuration-details-modal__body-field {
             display: flex;
             flex-direction: column;
             flex-basis: 15%;
             padding-top: 8px;
             padding-bottom: 8px;
             overflow: hidden;
             label {
                 font-family: var(--font-first);
                 @include text_one_line;
                 &:first-child {
                     color: var(--grey-label);
                     text-transform: uppercase;
                }
                 &:nth-child(2) {
                     color: var(--black-font);
                     padding-top: 5px;
                }
            }
             .label-expiration-date{
                 font-weight: bold;
            }
             .support-status{
                 padding: 0;
                 margin-top: -5px;
            }
             .item-description{
                 text-overflow: unset;
                 white-space: unset;
            }
             .note-description{
                 max-height: 100px;
                 overflow-y: auto;
                 text-overflow: unset;
                 white-space: unset;
            }
             .info{
                 white-space: unset;
            }
        }
         span.contract-status-no-covered {
             color: red;
        }
         .migration-info{
             vertical-align: bottom;
             padding-right: 8px;
        }
        .rule-info {
            padding: 0px 5px 0px 0px;
            margin: 0px 0 1px -20px;
        }
         .radio-btn-group{
             padding-top: 7px;
        }
    }
     .configuration-detail__header{
         display: flex;
         flex-direction: row;
         justify-content: space-between;
         align-items: center;
         background: white;
         border-bottom: 1px solid #eee;
         padding: 1px 1px 1px 1px;
         h5{
             margin-bottom: 5px;
        }
    }
     .disable-div{
         cursor: not-allowed;
         opacity: 0.5;
    }
     .select-manufacturer{
         .field__label-required::after {
             content: "*";
             color: #f00;
             margin-left: 3px;
             font-size: var(--font-xs);
             position: absolute;
        }
         .select-manufacturer-error{
             color: #f00
        }
        .error-input{
             border: 1px solid #f00;
             padding-bottom: 2px;
        }
    }
     .migration-info-tab{
         display: flex;
         flex-direction: column;
         label{
             padding: 2px;
        }
         .heading{
             font-weight: 800;
        }
    }
     img.d-pointer.migration-info {
         padding: 0px 5px 0px 0px;
    }
     .configuration-details-circuit-info {
         display: flex;
         flex-direction: column;
         .document {
             display: flex;
             .tile {
                 display: flex;
                 flex-direction: column;
                 flex-basis: 33%;
                 padding-top: 5px;
                 padding-bottom: 5px;
                 overflow: hidden;
                 label:first-child {
                     color: var(--grey-label);
                     text-transform: uppercase;
                     padding: 0px 0px 0px 2px;
                }
                 label {
                     word-break: break-word;
                     padding: 2px;
                }
            }
             .tile-index {
                 display: flex;
                 flex-direction: column;
                 flex-basis: 5%;
                 padding-top: 5px;
                 padding-bottom: 5px;
                 overflow: hidden;
                 label:first-child {
                     color: var(--grey-label);
                     text-transform: uppercase;
                     padding: 0px 0px 0px 2px;
                }
                 label {
                     word-break: break-word;
                     padding: 2px;
                }
            }
        }
    }
}
 .filters-modal {
     .Select{
         height: unset !important;
    }
     .Select-value{
         display: inherit !important;
    }
     .modal-dialog{
         width: 950px;
         .modal-content{
             width: unset;
        }
    }
     .filters-modal__body {
         width: 100%;
         padding-bottom: 25px;
         //display: grid;
         // grid-template-columns: 2fr 3fr 2fr 2fr;
         display: flex;
         flex-wrap: wrap;
         min-height: 150px;
         max-height: 600px;
         .Select .Select-control .Select-multi-value-wrapper .Select-value{
             line-height: 15px;
             display: flex;
        }
    }
}
 .import-button {
     width: 90px;
     margin-left: 10px;
}
 .select-country{
     width:320px;
}
 .import-confirm{
     .field-mapping__warning{
         background: white;
         padding-top: 15px;
         line-height: 25px;
         font-weight: 600;
    }
}
 .add-site {
     .add-site__body {
         display: flex;
         flex-direction: row;
         flex-wrap: wrap;
    }
}
 .configuration-details {
     div{
         float: right;
         font-size: larger;
         padding-right: 44px;
         margin-top: -8px;
    }
     .status--Active {
         color: green;
    }
     .status--Inactive {
         color: red;
    }
}
 .add-configuration__footer{
     .updated-on{
         color: var(--grey-label);
         float: left;
         font-size: var(--font-xs);
         padding-top: 10px;
         display: flex;
         .reset-retry-count{
             min-width: unset;
             height: var(--input-height);
             margin: 0 0 0 14px;
        }
         p {
             margin: 0 0 10px;
             float: left;
        }
    }
}
 .add-configuration__body{
     display: flex;
     flex-wrap: wrap;
     .field-section div.row.field__label .field__label-icon {
         height: 12px;
         margin: 2px 2px 0 6px;
    }
     .select-manufacturer{
         .field__label-required::after {
             content: "*";
             color: #f00;
             margin-left: 3px;
             font-size: var(--font-xs);
             position: absolute;
        }
         .select-manufacturer-error{
             color: #f00
        }
         .error-input{
             border: 1px solid #f00;
             padding-bottom: 2px;
        }
    }
     span.field__error{
         position: absolute;
    }
     .Select .Select-control .Select-input input {
         color: #333;
    }
}
 .renewal-history{
     .table-renewal-history{
         width: 100%;
         span:hover {
             position: relative;
        }
         span[aria-label]:hover:after, span[aria-label]:active:after {
             content: attr(aria-label);
             padding: 10px 20px;
             position: absolute;
             left: 1px;
             top: 32px;
             z-index: 999999;
             background: #000000;
             width: max-content;
             max-width: 240px;
             color: white;
             border-radius: 2px;
             word-break: break-all;
        }
         .arrow {
             visibility: hidden;
             position: absolute;
             top: 21px;
             left: 2px;
             border-left: 14px solid transparent;
             border-right: 15px solid transparent;
             border-bottom: 20px solid #000000;
             width: 0;
             height: 0;
        }
         span:hover .arrow,span:active .arrow{
             visibility: visible;
        }
         .blank{
             padding: 10px;
        }
    }
     th {
         text-align: left;
         color: var(--grey-label);
         text-transform: uppercase;
    }
     tr {
         line-height: 26px;
         display: table;
         width: 100%;
         table-layout: fixed;
         .action{
             width:55%;
        }
         .author{
             width:20%;
        }
         .created-on{
             width:20%;
        }
    }
     tbody{
         overflow: auto;
         display: block;
         max-height: 180px;
         overflow-y: auto;
    }
     .loader {
         position: absolute;
         top: auto;
         z-index: 999;
         width: 100%;
    }
}
 .check-renewal-history{
     margin-bottom: 10px;
}
 .unblock-renewal{
     float: right;
}
 .renewal-status{
      font-size: var(--font-xxxl);;
}
 .ckt-association {
     .Select .Select-control .Select-multi-value-wrapper .Select-value {
         line-height: 20px;
    }
}
 .monitoring-details{
     width: 100%;
     button.square-btn.check-monitoring-details.btn.btn-primary {
         margin-top: -5px;
    }
     .configuration-details-modal__body-field{
         padding-top: 0px!important;
         padding-bottom: 0px!important;
    }
}
 .warning-list{
     .warning-text{
         color: #f00;
         font-size: var(--font-l);
         max-height: 350px;
         overflow: auto;
         //overflow: auto;
         // custom scrollbar &::-webkit-scrollbar {
             width: 5px;
             height: 5px;
        //}
         &::-webkit-scrollbar-track {
             background: none;
             border: none;
        }
         &::-webkit-scrollbar-thumb {
             background: #e0140a;
             border-radius: 10px;
        }
         &::-webkit-scrollbar-thumb:hover {
             background: var(--primary);
        }
    }
     .import-error-btn{
         cursor: pointer;
         padding: 0 10px;
         &:hover {
             opacity: 0.5;
        }
    }
}
 .configuration-status-icons {
     display: flex;
     padding: 0px;
     //width: 70px;
     img {
         margin: 0px 0px 0 5px;
    }
     .configuration-status{
         margin-right: 0;
    }
     .status-svg-images{
         width: 20px;
         height: 20px;
    }
}
 .configuration-fields {
     margin: 10px 0 0 0;
     padding: 0;
     display: flex;
     flex-direction: column;
     .field{
         background: white;
         margin: 5px 0px;
    }
     .section-heading{
         font-weight: 700;
         border: 1px solid #ccc;
         padding: 8px 5px 8px 0px;
         background-color: white;
         text-transform: uppercase;
         display: flex;
         justify-content: space-between;
         margin: 0 0 5px 0;
         .action-collapse {
             font-size: 23px;
             width: 20px;
             margin: -7px;
             cursor: pointer;
        }
    }
     .disable-heading{
         opacity: 0.5;
         cursor: not-allowed;
    }
     .single-field {
         padding: 0 20px 0 0px;
         //margin-bottom: 10px;
         .options-content{
             .field__input{
                 padding-top: 15px;
                 .radio-btn-group .radio-btn span {
                     font-family: var(--font-first);
                     color: var(--base-black);
                     font-size: var(--font-s);
                     font-weight: 600;
                }
            }
        }
         .options-content {
             width: 100%;
        }
    }
     .body-section {
         padding: 10px 20px 10px 10px;
         background: #cccccc1f;
    }
}


.add-configuration {

    .configuration-details {
        div{
            float: right;
            font-size: larger;
            padding-right: 44px;
            margin-top: -8px;
       }
        .status--Active {
            color: green;
       }
        .status--Inactive {
            color: red;
       }
    }
    .items-list {
        border-top: 1px solid #ccc;
        .item {
            padding: 5px 0;
        }
    }
    .configuration-detail__header {
        h5{
            color: var(--grey-label);
            text-transform: uppercase;
        }
    }

    .configuration-details-config-data {
        padding: 0;
        white-space: pre-wrap;
        border: 1px solid #ccc;
        max-height: 900px;
        overflow: hidden;
        margin-top: 15px;
        label:first-child {
            color: var(--grey-label);
            text-transform: uppercase;
            font-size: var(--font-xxxxl);
            padding: 15px 0px;
        }
        .field__label{
            display: none !important;
        }
        .highlight-class{
            padding: .2em;
            background-color: #FFEB3B;
        }
        .active-highlight-class{
            padding: .2em;
            background-color: #FF9800;
        }
        .field__error{
            display: none !important;
        }
        .field-section{
            padding: 0;
        }
        .config-header{
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            margin: -10px 10px;
        }
    }

    .voilence {
        display: flex;
        flex-direction: column;
        background: var(--tile-bg);
        border-radius: 2px;
        width: 100%;
        .voilence__header {
          display: flex;
          flex-direction: row;
          border-bottom: 1px solid var(--base-border);
          cursor: pointer;
          font-family: var(--font-first);
          font-size: var(--font-s);
          font-weight: 600;
          color: #333333;

          .voilence__header-link {
            padding: 10px 40px 5px 40px;
            text-align: center;
            text-transform: uppercase;
            font-weight: bold;
          }
          .voilence__header-link--active {
            border-bottom: 2px solid var(--primary);
          }
        }

        .inventory{
          height: 100%;

          .label-customers-checkbox {
            padding: 29px 0 0 0;
          }

          .all-customers-checkbox {
            padding: 0 0 0px 0px;
            margin-top: -6px;
        }

        }
        .valid-configuration{
            color: green;
            font-size: 15px
        }
        .invalid-configuration{
            color: red;
            font-size: 15px
        }
        .violations{
            max-height: unset !important;
        }
        .configuration-violation-config-data {
            padding: 0 0 0 1px;
            white-space: pre-wrap;
            //border: 1px solid #ccc;
            max-height: 600px;
            overflow: unset;

            .device-fields{
                margin: -15px 0 0 0;
            }
            .valid-configuration{
                color: green;
                font-size: 15px
            }
            .invalid-configuration{
                color: red;
                font-size: 15px
            }

            .device-fields .section-heading {
                font-weight: 700;
                padding: 8px 5px 8px 5px;
                background-color: #cccccc24;
                text-transform: uppercase;
                display: flex;
                justify-content: space-between;
                border: 1px solid #ccc;
                margin: 0 0 5px 0;
            }
            .voilation-statistics {
                margin-top: 15px;

                .classification-name {
                    font-weight: 800;
                    span {
                        font-weight: normal;
                    }
                }
                .invalid-compliance {
                    justify-content: unset !important;
                }
                    .compliance_statistics-row {
                        display: flex;
                    flex-direction: row;
                    justify-content: space-between;
                    padding: 10px 0px 5px 25px;

                    img.status-svg-images {
                        width: 20px;
                        margin: -3px 10px 5px 0px;
                    }
                    img.status-svg-images-grade-out {
                        width: 20px;
                        margin: -3px 10px 5px 0px;
                        opacity: 0.5;
                    }
                    .text-invalid{
                        padding-left: 40px;
                    }
                }
                .details-box-right{
                    margin: 0;
                }
                .details-box{
                    padding: 5px 0;
                    .d1 span{
                        font-style: italic;
                        font-weight: 600;
                    }
                }
            }
            .collapsable-section {
                border: 1px solid #ccc;
                margin: 15px 20px 0px 15px;
                border-radius: 5px;
                display: flex;
                flex-direction: column;
                background-color: white;
            }
            .collapsable-section--collapsed {
                .collapsable-heading::after {
                    content: '+';
                    margin-left: auto;
                    line-height: 17px;
                    font-size: 25px;
               }
                .collapsable-contents {
                    display: none;
               }
           }
            .collapsable-section--not-collapsed{
                .collapsable-heading{
                    background: #cccccc24 !important;
                    &::after {
                        content: '-';
                        display: block;
                        margin-left: auto;
                        line-height: 17px;
                        font-size: 25px;
                   }
               }
                .collapsable-heading::after {
                    content: '-';
                    margin-left: auto;
               }
           }
           .voilation-sub-heading{
            display: flex;
            padding: 0px 0 0 30px;
            color: #757575;
            font-weight: bold;
        }

        .field.field--collapsed {
            border: 1px solid #ccc;
            border-top: 0;
        }
        }
        .bundles {
            margin: 0 -15px;
            .no-data {
                text-align: center;
                font-weight: 600;
                padding: 5px 5px;
            }
        }
    }
    }

    .configuration-violation {
        width: 100%;
        .configuration-violation-modal__body {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;

            .configuration-details-modal__body-field {
                display: flex;
                flex-direction: column;
                flex-basis: 33%;
                padding-top: 8px;
                padding-bottom: 8px;
                overflow: hidden;
                label {
                    font-family: var(--font-first);
                    @include text_one_line;
                    &:first-child {
                        color: var(--grey-label);
                        text-transform: uppercase;
                   }
                    &:nth-child(2) {
                        color: var(--black-font);
                        padding-top: 5px;
                   }
               }
                .label-expiration-date{
                    font-weight: bold;
               }
                .support-status{
                    padding: 0;
                    margin-top: -5px;
               }
                .item-description{
                    text-overflow: unset;
                    white-space: unset;
               }
                .note-description{
                    max-height: 100px;
                    overflow-y: auto;
                    text-overflow: unset;
                    white-space: unset;
               }
                .info{
                    white-space: unset;
               }
           }
        }
    }

  .configuration-view{
    strong.highlighted-text {
        border-radius: 5px;
        background-color: #ff000047;
        padding: 4px;
        line-height: 25px;
        cursor: copy;
    }
    .highlighted-text-2 {
        border-radius: 5px;
        padding: 4px;
        line-height: 25px;
        cursor: copy;
        font-weight: 600;
    }
    .configuration-details {
        font-size: var(--font-xxxxl);
        line-height: 31px;
        text-align: center;
    }
    strong.highlighted-text-valid {
        border-radius: 5px;
        background-color: #4caf5047;
        padding: 4px;
        line-height: 25px;
        cursor: copy;
    }
    .configuration-violation-config-data {
        padding: 0 0 0 1px;
    .device-fields{
        margin:  0 !important;
        .field {
            margin: 0 !important;
            //border: 1px solid #ccc;
        }
    }
}

      .voilation-statistics-new{
        word-break: break-all;
        white-space: pre-wrap;
        padding:0 0 0 5px;

        .left{
            .name{
                span{
                    color: #ccc;
                }
            }
        }
      }
      .compliance_statistics-row {
        padding: 0 0 0 25px;
    }
    .detail {
        word-break: break-all;
        white-space: pre-wrap;
        padding: 5px;
        .d1 span{
            font-style: italic;
            font-weight: 700;
        }
    }
    .level-heading{
        padding-left: 15px;
        color: #555;
        font-size: var(--font-l);
    }
    .make-bold{
        font-weight: 700;
    }
    .make-bold-valid{
        font-weight: 700;
        padding-left: 0;;
    }
    // .modal-dialog {
    //     min-width: 1200px !important;
    // }
    // .modal-content {
    //     min-width: 1200px !important;
    // }
    .editor-widget.find-widget.visible {
        height: 38px !important;
    }
    .monaco-editor .find-widget>.find-part .monaco-inputbox>.wrapper>.input, .monaco-editor .find-widget>.find-part .monaco-inputbox>.wrapper>.mirror, .monaco-editor .find-widget>.replace-part .monaco-inputbox>.wrapper>.input, .monaco-editor .find-widget>.replace-part .monaco-inputbox>.wrapper>.mirror {
        height: 25px !important;
    }
  }

  .rotate-img-running{
      img{
        animation: rotation 2s infinite linear;
        margin:0px 5px 0px 0px;
      }
      @keyframes rotation {
        from {
          transform: rotate(0deg);
        }
        to {
          transform: rotate(359deg);
        }
      }
  }
  .new-violation-ui{
    display: flex;
    flex-direction: column;
    .bold-text {
        font-weight: 700;
   }
   .voilation-rule-heading{
    text-transform: capitalize;
   }
   .multi-line-diff-view {
    display: flex;
    .config-original {
        flex-basis: 100%;
    }
    .diff-view {
        display: flex;
        flex-basis: 100%;
        flex-direction: column;
        .add-red {
            background: #ff00002b;
            margin: 0px 3px;
            width: fit-content;
       }
        .add-green {
            background: #00800026;
            margin: 0px 3px;
            width: fit-content;
       }
       .add-orange {
            background: #f5b22a7a;
            margin: 0px 3px;
            width: fit-content;
        }
    }
}
   .partial_matching_commands {
        width: 50%;
        word-break: break-all;
    }
    .original-config{
        width: 50%;
        word-break: break-all;
    }
    .match_text {
        font-weight: 600;
        padding-bottom: 3px;
    }
    .other {
        padding-top: 18px;
    }
    .partial_matching_single {
        width: fit-content;
        padding: 2px 5px;
        span.add-red {
            background: #ff00002b;
            margin: 0px 3px;
       }
        span.add-green {
            background: #00800026;
            margin: 0px 3px;
       }
   }
   .best_match {
        padding-top: 15px;
    }
   .partial_matching_percent{
        margin: 0px 7px;
        font-weight: 600;
    }
    .no_partial_matching_percent{
        margin: 0px 7px;
    }
    .valid-commands {
        color: #339a33;
        padding: 10px 0 0 0;
   }
    .rule-voilation {
        white-space: pre-wrap;
        padding: 5px 10px;
        margin: 0 0 0 0;
     }
    .command-single {
        display: flex;
        justify-content: space-between;
        padding: 5px 0;
        border-bottom: 1px solid #ccc;
   }
    .invalid-commands {
        padding: 10px 0 20px 0;
   }
   .compliance_dashboard{
        width: 650px;
   }
   .heading-config{
    font-size: var(--font-l);
    text-transform: uppercase;
    font-weight: 600;
   }
   .heading-valid-config{
    color: green;
    font-size: var(--font-l);
    text-transform: uppercase;
    font-weight: 600;
   }
   .heading-invalid-config{
    color: red;
    font-size: var(--font-l);
    text-transform: uppercase;
    font-weight: 600;
   }
   span.gray-heading {
    color: #ccc;
   }
   .voilation-rule-heading{
       display:flex;
       font-size: var(--font-l);
       .right-pan {
        padding-left: 7px;
    }
    button.pdf_preview-btn.btn.btn-default {
        margin: 0px 12px 0 2px;
        height: 20px;
    }
   }
   .display-none{
       display: none;
   }
   .collapsable-heading {
    margin: 0;
    }
    span.gray-heading.valid-rule {
        color: green;
        margin: 0 10px 0 0;
    }
    span.gray-heading.invalid-rule {
        color: red;
        margin: 0 10px 0 0;
    }
    .rules-search {
        margin: -10px 0px -20px 15px;
        input[type="TEXT"] {
            height: var(--input-height);
        }
    }
}
